# FinEtools (Finite Element tools) Documentation


## Package features

`FinEtools` is a package for basic operations on finite element meshes: Construction, modification, selection, and evaluation of quantities defined on a mesh. Utilities are provided for maintaining mesh-based data (fields), for defining normals and loads, for working with physical units and coordinate systems, and for integrating over finite element meshes. 

## Documentation

|          | Learning    |   Working   |
|:---: | :---: | :---: | 
| Practical    | [Tutorials](tutorials/tutorials.md) | [How to](howto/howto.md) |
| Theoretical    | [Concepts](concepts/concepts.md) | [Reference](man/man.md) |

